CIMAG(3)

NAME
cimag, cimagf, cimagl - get imaginary part of a complex number

SYNOPSIS
#include <complex.h>

double cimag(double complex z);
float cimagf(float complex z);
long double cimagl(long double complex z);

Link with -lm.

DESCRIPTION
The cimag() function returns the imaginary part of the complex number z.

One has:
    z = creal(z) + I * cimag(z)

VERSIONS
These functions first appeared in glibc in version 2.1.

CONFORMING TO
C99.

NOTES
gcc also supports __imag__. That is a GNU extension.

SEE ALSO
cabs(3), creal(3), complex(7)

COLOPHON
This page is part of release 3.51 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.